<% @entries.each do |entry| %>
<% tr_id = Digest::MD5.hexdigest(entry.path)
   depth = params[:depth].to_i %>
<tr id="<%= tr_id %>" class="<%= params[:parent_id] %>">
<td>
<%= if entry.is_dir?
  link_to_remote h(entry.name),
                 {:url => {:action => 'browse', :id => @project, :path => entry.path, :rev => @rev, :depth => (depth + 1), :parent_id => tr_id},
                  :update => { :success => tr_id },
                  :position => :after,
                  :success => "scmEntryLoaded('#{tr_id}')",
                  :condition => "scmEntryClick('#{tr_id}')"
                 },
                 {:href => url_for({:action => 'browse', :id => @project, :path => entry.path, :rev => @rev}),
                  :class => ('icon icon-folder'),
                  :style => "margin-left: #{18 * depth}px;"
                 }
else
  link_to h(entry.name),
          {:action => (entry.is_dir? ? 'browse' : 'changes'), :id => @project, :path => entry.path, :rev => @rev},
          :class => 'icon icon-file',
          :style => "margin-left: #{18 * depth}px;"
end %>
</td>
<td align="right"><%= (entry.size ? number_to_human_size(entry.size) : "?") unless entry.is_dir? %></td>
<td align="right"><tt><%= link_to(truncate(entry.lastrev.name, 10), { :action => 'revision', :id => @project, :rev => entry.lastrev.identifier}, { :title => entry.lastrev.name }) if entry.lastrev && entry.lastrev.identifier %></tt></td>
<td align="center"><%= format_time(entry.lastrev.time) if entry.lastrev %></td>
<td align="center"><em><%=h(entry.lastrev.author.split('<').first) if entry.lastrev %></em></td>
<% changeset = @project.repository.changesets.find_by_revision(entry.lastrev.identifier) if entry.lastrev %>
<td><%=h truncate(changeset.comments, 50) unless changeset.nil? %></td>
</tr>
<% end %>
